# petsc4py.PETSc.PC.PatchConstructType

class petsc4py.PETSc.PC.PatchConstructType

  Bases: `object`

  The patch construction type.

  Attributes Summary

  `PARDECOMP` | Constant `PARDECOMP` of type `int`
  `PYTHON` | Constant `PYTHON` of type `int`
  `STAR` | Constant `STAR` of type `int`
  `USER` | Constant `USER` of type `int`
  `VANKA` | Constant `VANKA` of type `int`

  Attributes Documentation

  PARDECOMP: int = PARDECOMP

    Constant `PARDECOMP` of type `int`

  PYTHON: int = PYTHON

    Constant `PYTHON` of type `int`

  STAR: int = STAR

    Constant `STAR` of type `int`

  USER: int = USER

    Constant `USER` of type `int`

  VANKA: int = VANKA

    Constant `VANKA` of type `int`